# RNA-seq sex-check APP

## 构建方法

1. Identify sex-specific genes based on GTEx dataset
   - In specific tissue type: female vs male: |logFC| >1 and t-test p value <0.05 
   - Identified as a sex-specific genes across all 22 tissue types

2. Identify method and cutoff using 70% of TCGA dataset
   - Pairwise comparison: ExpMale-specific vs ExpFemale-specific 
   - Cutoff: n of comparisons >0: male, otherwise female 
3. Validate method based on external and independent datasets
   - 30% of TCGA dataset
   - lung cancer dataset
   - TNBC dataset



## 结果

### Sex-specific genes in GTEx

- Nineteen male-specific and two female-specific genes are identified. 
- Five male-specific and two female-specific genes are selected for further analysis.

![GTEx_sex_gene_table_fig.png](http://choppy.3steps.cn/yingyu/RNAseqQC/src/branch/master/%E6%9E%84%E5%BB%BA%E6%96%B9%E6%B3%95%E8%AF%B4%E6%98%8E/GTEx_sex_gene_table_fig.png)



### 训练集结果

基于训练集，10次Male vs Female specific基因比较中，8次或以上Male > Female specific gene，则为Male，反之则为Female

### 测试集结果

都不错。

| Dataset        | TP   | FP   | FN   | TN   | Precision | Sensitivity | Specificity | F1    |
| -------------- | ---- | ---- | ---- | ---- | --------- | ----------- | ----------- | ----- |
| TrainData_TCGA | 3748 | 48   | 27   | 4419 | 0.987     | 0.993       | 0.989       | 0.990 |
| TestData_TCGA  | 1626 | 23   | 11   | 1873 | 0.986     | 0.993       | 0.988       | 0.990 |
| TestData_LC    | 153  | 3    | 0    | 241  | 0.981     | 1.000       | 0.988       | 0.990 |
| TestData TNBC  | 0    | 0    | 0    | 448  | NA        | NA          | 1           | NA    |



### 结论

建立了预测性别的方法：对每个待测样本，提取5个男性特有基因（RPS4Y1, DDX3Y, EIF1AY, KDM5D, TXLNGY）和2个女性特有基因（XIST, TSIX) 的表达水平，进行男性特有基因与女性特有基因的两两比较，共10次比较中，若超过(>=)8次比较中，男性特有基因表达水平高于女性特有基因表达水平，则为男性，反之则为女性。